OpenStack Compute (Nova)

Creating snapshot with multiple volume hosts fails

Reported by andrewsben on 2012-03-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Critical
Vish Ishaya

Bug Description

When trying to create a volume snapshot from nova cli the snapshots always go into error status. When checking the logs I see that it has an error stating that it can't find the origin volume.

2012-03-20 12:44:37 ERROR nova.rpc.amqp [req-0a5e4308-9a6d-41e3-9e41-998adf810e69 fb1ee61381a945e78ee837d23d52d42e 59ae9b4165ae491abc7512279a7deba3] Exception during message handling
(nova.rpc.amqp): TRACE: Traceback (most recent call last):
(nova.rpc.amqp): TRACE: File "/opt/stack/nova/nova/rpc/amqp.py", line 252, in _process_data
(nova.rpc.amqp): TRACE: rval = node_func(context=ctxt, **node_args)
(nova.rpc.amqp): TRACE: File "/opt/stack/nova/nova/volume/manager.py", line 197, in create_snapshot
(nova.rpc.amqp): TRACE: {'status': 'error'})
(nova.rpc.amqp): TRACE: File "/usr/lib/python2.7/contextlib.py", line 24, in __exit__
(nova.rpc.amqp): TRACE: self.gen.next()
(nova.rpc.amqp): TRACE: File "/opt/stack/nova/nova/volume/manager.py", line 188, in create_snapshot
(nova.rpc.amqp): TRACE: model_update = self.driver.create_snapshot(snapshot_ref)
(nova.rpc.amqp): TRACE: File "/opt/stack/nova/nova/volume/driver.py", line 180, in create_snapshot
(nova.rpc.amqp): TRACE: '--snapshot', orig_lv_name, run_as_root=True)
(nova.rpc.amqp): TRACE: File "/opt/stack/nova/nova/volume/driver.py", line 83, in _try_execute
(nova.rpc.amqp): TRACE: self._execute(*command, **kwargs)
(nova.rpc.amqp): TRACE: File "/opt/stack/nova/nova/utils.py", line 242, in execute
(nova.rpc.amqp): TRACE: cmd=' '.join(cmd))
(nova.rpc.amqp): TRACE: ProcessExecutionError: Unexpected error while running command.
(nova.rpc.amqp): TRACE: Command: sudo /usr/local/bin/nova-rootwrap lvcreate -L 3G --name _snapshot-00000004 --snapshot vg0/volume-00000012
(nova.rpc.amqp): TRACE: Exit code: 5
(nova.rpc.amqp): TRACE: Stdout: ''
(nova.rpc.amqp): TRACE: Stderr: " Couldn't find origin volume 'volume-00000012'.\n"
(nova.rpc.amqp): TRACE:

summary: - CLI volume-snapshot creation error
+ Creating snapshots with multiple volume host fails
summary: - Creating snapshots with multiple volume host fails
+ Creating snapshot with multiple volume hosts fails
Changed in nova:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Vish Ishaya (vishvananda)
tags: added: essex-rc-potential
Changed in nova:
importance: High → Critical

Reviewed: https://review.openstack.org/5581
Committed: http://github.com/openstack/nova/commit/22fd25d869190772a0a859c291ec9af37f6e709f
Submitter: Jenkins
Branch: master

commit 22fd25d869190772a0a859c291ec9af37f6e709f
Author: Vishvananda Ishaya <email address hidden>
Date: Tue Mar 20 11:30:27 2012 -0700

    Don't send snapshot requests through the scheduler

     * If there is more than one volume host, snapshots need to be
       created on the host that has the volume. Sending the request
       through the scheduler means that the snapshot will sometimes
       be created on the wrong host and fail.
     * Fixes bug 960437

    Change-Id: If8562bd533226cf9aee1d3be522f799d233581a9

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-03-26
Changed in nova:
milestone: none → essex-rc2
tags: removed: essex-rc-potential

Reviewed: https://review.openstack.org/5768
Committed: http://github.com/openstack/nova/commit/b875552e645d6666899aa8be29b490187cb2e284
Submitter: Jenkins
Branch: milestone-proposed

commit b875552e645d6666899aa8be29b490187cb2e284
Author: Vishvananda Ishaya <email address hidden>
Date: Tue Mar 20 11:30:27 2012 -0700

    Don't send snapshot requests through the scheduler

     * If there is more than one volume host, snapshots need to be
       created on the host that has the volume. Sending the request
       through the scheduler means that the snapshot will sometimes
       be created on the wrong host and fail.
     * Fixes bug 960437

    Change-Id: If8562bd533226cf9aee1d3be522f799d233581a9

Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-rc2 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers